<a href="" (click)="logout()">Logout</a><br><br>
<a href="" [routerLink]="['']">Home</a>

<h1>{{theOneQuesiton.question}}</h1>

<h3>{{theOneQuesiton.description}}</h3>

<h1>Your Answer</h1>
<form (submit)="createAnswer()" #answerForm = 'ngForm'>
	Question:<br> <textarea rows="4" cols="50" name="answer" [(ngModel)]="newAnswer.answer"></textarea><br>
	<!-- <p *ngIf="question.invalid && question.touched" [ngStyle]='{"color":"red"}'>The Question is required</p> -->
	Supporting Details for you answer (optional): <br><textarea rows="4" cols="50" autofocus name="details" [(ngModel)]="newAnswer.details"></textarea><br>
	<input type="button" (click)="cancel()" value="Cancel"> 
	<input type="submit" value="Submit" [disabled] = 'answerForm.invalid'> 
</form>
